SRCBLENDALPHA(3CgFX)

NAME
SrcBlendAlpha - 3D API source alpha blending type

USAGE
SrcBlendAlpha = int(blend)

VALID ENUMERANTS
blend: Zero, One, DestColor, InvDestColor, SrcAlpha, InvSrcAlpha, DstAlpha, InvDestAlpha, SrcAlphaSat, SrcColor, InvSrcColor, BlendFactor, InvBlendFactor

DESCRIPTION
Set the Direct3D separate alpha blending source blend type. See the D3DRS_SRCBLENDALPHA render state description for DirectX 9.

The standard reset callback sets the SrcBlendAlpha state to int(One).

OPENGL FUNCTIONALITY REQUIREMENTS
Not applicable.

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AlphaBlendEnable, BlendEnable, BlendColor, BlendEquation, BlendEquationSeparate, BlendFunc, BlendFuncSeparate, BlendOp, DestBlend, IndexedVertexBlendEnable, SrcBlend, VertexBlend, BlendOpAlpha, DestBlendAlpha, SeparateAlphaBlendEnable